Index: CLFS/clfs.xsl
===================================================================
--- CLFS/clfs.xsl	(revision 7d2638a65acbf3476f6ff32d8ca2188ee6a8396c)
+++ CLFS/clfs.xsl	(revision ae0172be7026856951fdbaf2cc587d2356a7ede6)
@@ -134,5 +134,9 @@
         <xsl:otherwise>
           <xsl:apply-templates/>
-          <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+          <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1</xsl:text>
+          <xsl:if test="contains(string(),' -k ')">
+            <xsl:text> || true</xsl:text>
+          </xsl:if>
+          <xsl:text>&#xA;</xsl:text>
         </xsl:otherwise>
       </xsl:choose>
@@ -202,5 +206,9 @@
                 <xsl:otherwise>
                   <xsl:apply-templates/>
-                  <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+                  <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&</xsl:text>
+                  <xsl:if test="contains(string(),' -k ')">
+                    <xsl:text> || true</xsl:text>
+                  </xsl:if>
+                  <xsl:text>#xA;</xsl:text>
                 </xsl:otherwise>
               </xsl:choose>
@@ -220,5 +228,9 @@
               <xsl:otherwise>
                 <xsl:apply-templates/>
-                <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+                <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1</xsl:text>
+                <xsl:if test="contains(string(),' -k ')">
+                  <xsl:text> || true</xsl:text>
+                </xsl:if>
+                <xsl:text>&#xA;</xsl:text>
               </xsl:otherwise>
             </xsl:choose>
@@ -235,5 +247,9 @@
               </xsl:when>
               <xsl:otherwise>
-                <xsl:text>&gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+                <xsl:text>&gt;&gt; $TEST_LOG 2&gt;&amp;1</xsl:text>
+                <xsl:if test="contains(string(),' -k ')">
+                  <xsl:text> || true</xsl:text>
+                </xsl:if>
+                <xsl:text>&#xA;</xsl:text>
               </xsl:otherwise>
             </xsl:choose>
Index: HLFS/hlfs.xsl
===================================================================
--- HLFS/hlfs.xsl	(revision 7d2638a65acbf3476f6ff32d8ca2188ee6a8396c)
+++ HLFS/hlfs.xsl	(revision ae0172be7026856951fdbaf2cc587d2356a7ede6)
@@ -152,5 +152,9 @@
         <xsl:otherwise>
           <xsl:apply-templates/>
-          <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+          <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1</xsl:text>
+          <xsl:if test="contains(string(),' -k ')">
+            <xsl:text> || true</xsl:text>
+          </xsl:if>
+          <xsl:text>&#xA;</xsl:text>
         </xsl:otherwise>
       </xsl:choose>
@@ -235,5 +239,9 @@
                 <xsl:otherwise>
                   <xsl:apply-templates/>
-                  <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+                  <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1</xsl:text>
+                  <xsl:if test="contains(string(),' -k ')">
+                    <xsl:text> || true</xsl:text>
+                  </xsl:if>
+                  <xsl:text>&#xA;</xsl:text>
                 </xsl:otherwise>
               </xsl:choose>
@@ -243,5 +251,5 @@
       </xsl:when>
       <!-- Fixing butterfly toolchain test suites run -->
-      <xsl:when test="string() = 'make -k check'">
+      <xsl:when test="string() = 'make -k check' or string() = 'make check'">
         <xsl:choose>
           <xsl:when test="$testsuite != '0'">
@@ -253,4 +261,8 @@
               <xsl:otherwise>
                 <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+                <xsl:if test="contains(string(),' -k ')">
+                  <xsl:text> || true</xsl:text>
+                </xsl:if>
+                <xsl:text></xsl:text>
               </xsl:otherwise>
             </xsl:choose>
@@ -268,5 +280,9 @@
               </xsl:when>
               <xsl:otherwise>
-                <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+                <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1</xsl:text>
+                <xsl:if test="contains(string(),' -k ')">
+                  <xsl:text> || true</xsl:text>
+                </xsl:if>
+                <xsl:text>&#xA;</xsl:text>
               </xsl:otherwise>
             </xsl:choose>
Index: LFS/lfs.xsl
===================================================================
--- LFS/lfs.xsl	(revision 7d2638a65acbf3476f6ff32d8ca2188ee6a8396c)
+++ LFS/lfs.xsl	(revision ae0172be7026856951fdbaf2cc587d2356a7ede6)
@@ -126,5 +126,9 @@
         <xsl:otherwise>
           <xsl:apply-templates/>
-          <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+          <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1</xsl:text>
+          <xsl:if test="contains(string(),' -k ')">
+            <xsl:text> || true</xsl:text>
+          </xsl:if>
+          <xsl:text>&#xA;</xsl:text>
         </xsl:otherwise>
       </xsl:choose>
@@ -190,5 +194,9 @@
                 <xsl:otherwise>
                   <xsl:apply-templates/>
-                  <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+                  <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1</xsl:text>
+                  <xsl:if test="contains(string(),' -k ')">
+                    <xsl:text> || true</xsl:text>
+                  </xsl:if>
+                  <xsl:text>&#xA;</xsl:text>
                 </xsl:otherwise>
               </xsl:choose>
@@ -210,5 +218,9 @@
               <xsl:otherwise>
                 <xsl:apply-templates/>
-                <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1&#xA;</xsl:text>
+                <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1</xsl:text>
+                <xsl:if test="contains(string(),' -k ')">
+                  <xsl:text> || true</xsl:text>
+                </xsl:if>
+                <xsl:text>&#xA;</xsl:text>
               </xsl:otherwise>
             </xsl:choose>
